package com.bytesw.bytebot.repository;

import com.bytesw.bytebot.model.ProcessETL;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

public interface ProcessETLRepository extends CrudRepository<ProcessETL, Integer>, JpaSpecificationExecutor<ProcessETL> {

    @Query("select b from ProcessETL b where b.name = :etlName")
    ProcessETL findByName(@Param("etlName") String etlName);

}
